# Created by pyp2rpm-1.0.1
%define pypi_name pycuda
%define version 2014.1

%global __requires_exclude libcuda.so.1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 6
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        http://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Build with mga lib names
Patch0:         pycuda-2013.1.1-libboost_python.patch

ExcludeArch:    %ix86
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-numpy
BuildRequires:  python-numpy-devel
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  boost-devel
BuildRequires:  python-setuptools

Requires:       python-pytools >= 2011.2
Requires:       python-test >= 2
Requires:       python-decorator >= 3.2.0
Requires:       nvidia-current-cuda-opencl
Requires:       nvidia-cuda-toolkit-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-numpy
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
Requires:       python3-pytools 
Requires:       python3-test >= 2
Requires:       python3-decorator >= 3.2.0

%description -n python3-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p0
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
BOOST_PYTHON_LIBNAME="boost_python" ./configure.py --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

pushd %{py3dir}
%{__python3} configure.py --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system

CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc html README_SETUP.txt
%{py_platsitedir}/%{pypi_name}
%{py_platsitedir}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc html README_SETUP.txt
%{py3_platsitedir}/%{pypi_name}
%{py3_platsitedir}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 19 2015 philippem <philippem> 2014.1-6.mga5
+ Revision: 811437
- cuda is x86_64 only
- rebuild with new Cuda

  + tv <tv>
    - new version
    - rebuild for missing pythoneggs deps
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jun 04 2014 philippem <philippem> 2013.1.1-2.mga5.nonfree
+ Revision: 633233
- rewrite patch for Python3.4
- rebuild for new Python3.4

* Sat Feb 08 2014 philippem <philippem> 2013.1.1-1.mga5.nonfree
+ Revision: 586100
- Update to 2013.1.1, add Python3

* Mon Dec 09 2013 philippem <philippem> 2012.1-5.mga4.nonfree
+ Revision: 556072
- rebuild for new nvidia-cuda-toolkit

* Thu Oct 24 2013 philippem <philippem> 2012.1-4.mga4.nonfree
+ Revision: 546749
- bump rel to fix pythonegg

* Thu Jul 11 2013 fwang <fwang> 2012.1-3.mga4.nonfree
+ Revision: 452820
- rebuild for new boost

* Fri Apr 12 2013 mitya <mitya> 2012.1-2.mga3.nonfree
+ Revision: 409805
- Rebuild with new Boost 1.53

* Sat Mar 30 2013 mitya <mitya> 2012.1-1.mga3.nonfree
+ Revision: 406549
- imported package python-pycuda

